Package ru.bitel.bgbilling.modules.phone.server.bean

# Class Session

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.phone.server.bean.Session

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Session
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Session()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCdrId()` |
  `int` | `getCid()` |
  `java.lang.String` | `getClientItem()` |
  `int` | `getClientItemId()` |
  `int` | `getDestCode()` |
  `java.lang.String` | `getDestination()` |
  `java.lang.String` | `getFromNumber()` |
  `java.lang.String` | `getFromNumber164()` |
  `java.util.Date` | `getHour()` |
  `float` | `getMinCost()` |
  `java.lang.String` | `getService()` |
  `int` | `getServiceId()` |
  `java.math.BigDecimal` | `getSessionCost()` |
  `java.sql.Timestamp` | `getSessionStart()` |
  `int` | `getSessionTime()` |
  `int` | `getSessionTimeRound()` |
  `int` | `getSourceId()` |
  `java.lang.String` | `getToNumber()` |
  `java.lang.String` | `getToNumber164()` |
  `void` | `setCdrId​(int cdrId)` |
  `void` | `setCid​(int cid)` |
  `void` | `setClientItem​(java.lang.String clientItem)` |
  `void` | `setClientItemId​(int clientItemId)` |
  `void` | `setDestCode​(int destCode)` |
  `void` | `setDestination​(java.lang.String destination)` |
  `void` | `setFromNumber​(java.lang.String fromNumber)` |
  `void` | `setFromNumber164​(java.lang.String fromNumber164)` |
  `void` | `setHour​(java.util.Date hour)` |
  `void` | `setMinCost​(float minCost)` |
  `void` | `setService​(java.lang.String service)` |
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setSessionCost​(java.math.BigDecimal sessionCost)` |
  `void` | `setSessionStart​(java.sql.Timestamp sessionStart)` |
  `void` | `setSessionTime​(int sessionTime)` |
  `void` | `setSessionTimeRound​(int sessionTimeRound)` |
  `void` | `setSourceId​(int sourceId)` |
  `void` | `setToNumber​(java.lang.String toNumber)` |
  `void` | `setToNumber164​(java.lang.String toNumber164)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Session

    public Session()

- ## Method Details

  - ### getClientItem

    public java.lang.String getClientItem()

  - ### setClientItem

    public void setClientItem​(java.lang.String clientItem)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid​(int cid)

  - ### getClientItemId

    public int getClientItemId()

  - ### setClientItemId

    public void setClientItemId​(int clientItemId)

  - ### getDestCode

    public int getDestCode()

  - ### setDestCode

    public void setDestCode​(int destCode)

  - ### getDestination

    public java.lang.String getDestination()

  - ### setDestination

    public void setDestination​(java.lang.String destination)

  - ### getFromNumber164

    public java.lang.String getFromNumber164()

  - ### setFromNumber164

    public void setFromNumber164​(java.lang.String fromNumber164)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### getSessionCost

    public java.math.BigDecimal getSessionCost()

  - ### setSessionCost

    public void setSessionCost​(java.math.BigDecimal sessionCost)

  - ### getSessionStart

    public java.sql.Timestamp getSessionStart()

  - ### setSessionStart

    public void setSessionStart​(java.sql.Timestamp sessionStart)

  - ### getSessionTime

    public int getSessionTime()

  - ### setSessionTime

    public void setSessionTime​(int sessionTime)

  - ### getSourceId

    public int getSourceId()

  - ### setSourceId

    public void setSourceId​(int sourceId)

  - ### getToNumber164

    public java.lang.String getToNumber164()

  - ### setToNumber164

    public void setToNumber164​(java.lang.String toNumber164)

  - ### getService

    public java.lang.String getService()

  - ### setService

    public void setService​(java.lang.String service)

  - ### getCdrId

    public int getCdrId()

  - ### setCdrId

    public void setCdrId​(int cdrId)

  - ### getMinCost

    public float getMinCost()

  - ### setMinCost

    public void setMinCost​(float minCost)

  - ### getSessionTimeRound

    public int getSessionTimeRound()

  - ### setSessionTimeRound

    public void setSessionTimeRound​(int sessionTimeRound)

  - ### getFromNumber

    public java.lang.String getFromNumber()

  - ### setFromNumber

    public void setFromNumber​(java.lang.String fromNumber)

  - ### getToNumber

    public java.lang.String getToNumber()

  - ### setToNumber

    public void setToNumber​(java.lang.String toNumber)

  - ### getHour

    public java.util.Date getHour()

  - ### setHour

    public void setHour​(java.util.Date hour)